For the complete documentation index, see llms.txt. This page is also available as Markdown.

xSYK

Vested Positions

View xSYK vested and staked positions including total allocation and pending positions

read more about staking SYK and xSYK here: xSYK Token

get
Path parameters
accountstringRequired

Address of user

Query parameters
chainIdnumber · enumRequired

Chain ID of the network

Possible values:
Responses
200Success
application/json
totalXSykAllocatedstringRead-onlyRequired
totalSykPendingstringRead-onlyRequired
get/xsyk/vest-positions/{account}
GET /xsyk/vest-positions/{account}?chainId=5000 HTTP/1.1
Host: api.stryke.xyz
Accept: */*
200Success
[
  {
    "totalXSykAllocated": "text",
    "totalSykPending": "text",
    "positions": [
      {
        "account": "text",
        "duration": 1,
        "xSykAmount": "text",
        "sykAmount": "text",
        "vestIndex": "text",
        "blockTimestamp": 1,
        "transactionHash": "text"
      }
    ]
  }
]

Last updated

Was this helpful?